<?php 

	/* 帳號與密碼等設定 */
	
	$host = "localhost";
   	$user = "root";
   	$pass = "";   
   	$database = "";


/*************************************************
功能說明:SQL查詢A(適合 INSERT、UPDATE、DELETE 之類)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林)
其他補充:無
**************************************************/
function sql_a($query)
{	
	global $host,$user,$pass,$database;
   	
   	$conn=@mysql_connect( $host, $user, $pass);	
	@mysql_select_db($database,$conn);
	$result = @mysql_query($query);
	@mysql_close($conn);
		
	return $result;
}

/*************************************************
功能說明:SQL查詢B(適合 SELECT 之類的)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林)
其他補充:無
**************************************************/
function sql_b($query)
{
	global $host,$user,$pass,$database;
	   	
	$conn=@mysql_connect( $host, $user, $pass );
	$result=@mysql_db_query( $database, $query, $conn);	
	@mysql_data_seek($result,0);
	while($row=@mysql_fetch_row($result))
	{        
        	$output[] = $row;	
	} 		              	
	@mysql_free_result($result);
	@mysql_close($conn);
	
	return $output;
}

/*************************************************
功能說明:SQL查詢I(適合 INSERT 且是自動產生編號的)
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:SQL語法字串
輸入格式:字串
輸出格式:執行結果(布林) / 新增的流水號
其他補充:無
**************************************************/
function sql_i($query)
{	
	global $host,$user,$pass,$database;
   	
   	$conn=@mysql_connect( $host, $user, $pass);	
	@mysql_select_db($database,$conn);
	$result = @mysql_query($query);
	$result = @mysql_insert_id();
	@mysql_close($conn);
		
	return $result;
}

/*************************************************
功能說明:解析網頁樣板，並替換後輸出
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:檔案名稱或位置、解析用變數陣列
輸入格式:字串、陣列
輸出格式:網頁字串
其他補充:$filename 檔案位置
         $parser_array 型式為 $array['key'] = value;
**************************************************/
function read_and_parser($filename,$parser_array)
{	
	$handle = fopen ($filename, "r");
	$buffer = fread ($handle, filesize ($filename));
	fclose ($handle);

	/*開始搜尋替換*/
	
	while(list($key,$value)=each($parser_array))
	{	
		$buffer = str_replace($key,$value,$buffer);
	}	

	return $buffer;
}

//錯誤訊息函式
function error_message($msg)
{
   echo "<SCRIPT>alert(\"$msg\");history.go(-1)</SCRIPT>";
   exit;
}

//提示一下使用者
function pass_message($msg)
{
   echo "<SCRIPT>alert(\"$msg\");</SCRIPT>";
}


//傳入(SELECT 的 NAME、VALUE+顯示之陣列)，印出下拉式選單
function print_select($name,$array,$default)
{
	echo "<select name=$name>\n";
	
	if($default)
	{
		for($i=0;$i<sizeof($array);$i++)
		{	
			if($default==$array[$i][0])
			{
				echo "<option value=\"". $array[$i][0]."\" selected>".$array[$i][1]."</option>\n";
			}
			else
			{
				echo "<option value=\"". $array[$i][0]."\">".$array[$i][1]."</option>\n";
			}
		}
		
	}
	else
	{
		echo "<option value=\"\" selected>請選擇</option>\n";
		
		for($i=0;$i<sizeof($array);$i++)
		{
			echo "<option value=\"". $array[$i][0]."\">".$array[$i][1]."</option>\n";
		}
	}
	echo "</select>\n";
}

//傳入(SELECT 的 NAME、VALUE+顯示之陣列)，印出下拉式選單(處理0)
function print_zero_select($name,$array,$default)
{
	echo "<select name=$name>\n";

	if(!$default) $default = 0;

	for($i=0;$i<sizeof($array);$i++)
	{	
		if($default==$array[$i][0])
		{
			echo "<option value=\"". $array[$i][0]."\" selected>".$array[$i][1]."</option>\n";
		}
		else
		{
			echo "<option value=\"". $array[$i][0]."\">".$array[$i][1]."</option>\n";
		}
	}


	echo "</select>\n";
}
//關閉輸入欄位的副程式
//傳入表單名稱、陣列
//陣列包含 表單項目名稱、類型
//類型包含 1.一般 2.RADIO BUTTON
function disable_form_item($name,$array)
{
	echo "<SCRIPT language=javascript>\n";
	
	for($i=0;$i<sizeof($array);$i++)
	{	
		if($array[$i][1]=="2")
		{
		        echo "for (var i=0;i < document." . $name . "." . $array[$i][0] . ".length;i++)";
		        echo "document." . $name . "." . $array[$i][0] . "[i].disabled=true;";
		}
		else
		{
			echo "document." . $name . "." . $array[$i][0] . ".disabled=true;\n";
		}
	}
	echo "</SCRIPT>\n";
}

//傳回特定數字的select下拉式選單(不吃0，10位補零)
function print_select_num($name,$start,$end,$default)
{
	echo "<select name=$name>\n";
	
	if($default==0&&$start==0)
	{
		echo "<option selected value=\"\">請選擇</option>\n";
		$start = 1;
	}
	
	if($default)
	{
		for($i=$start;$i<=$end;$i++)
		{	
			if($default==$i)
			{				
				if($i<10)
				{			
					echo "<option selected>0$i</option>\n";
				}
				else
				{
					echo "<option selected>$i</option>\n";
				}
			}
			else
			{
				if($i<10)
				{			
					echo "<option>0$i</option>\n";
				}
				else
				{
					echo "<option>$i</option>\n";
				}
			}
		}
	}
	else
	{
		for($i=$start;$i<=$end;$i++)
		{	
			if($i<10)
			{			
				echo "<option>0$i</option>\n";
			}
			else
			{
				echo "<option>$i</option>\n";
			}
		}
	}
	echo "</select>\n";
}

//傳回特定數字的select下拉式選單(吃0，不補0)
function print_pure_select_num($name,$start,$end,$default)
{
	echo "<select name=$name>\n";
	
	if($default)
	{
		for($i=$start;$i<=$end;$i++)
		{	
			if($default==$i)
			{				
				echo "<option selected>$i</option>\n";
			}
			else
			{
				echo "<option>$i</option>\n";	
			}
		}
	}
	else
	{
		for($i=$start;$i<=$end;$i++)
		{	
			echo "<option>$i</option>\n";			
		}
	}
	echo "</select>\n";
}


//印出 hidden 欄位的 input
function print_hidden_item($name,$value)
{
	echo "<input type=\"hidden\" name=\"$name\" value=\"$value\">\n";
}



//----------------------------------
//取得系統日期
//0910202
//----------------------------------

function todate()
{
	$timestamp = getdate();   
	$datas = checklen(($timestamp[year]-1911),3).checklen($timestamp[mon],2).checklen($timestamp[mday],2);
	return $datas;
}


//幫字串補零
//若str字串長度小於inum，則補零
function checklen($str,$inum)
{
	$str = trim($str);
    	if ($str != "")
    	{
      		while(strlen($str) < $inum)
      		{
        		$str="0" . $str;
      		}
    	}
    	return $str;
}


//日期格式化函式(長)
function format_date($dateshow){

ereg("([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})", $dateshow, $regs) ;

    $regs[1] = $regs[1] -1911;
    if(strlen($regs[1])!=3) $regs[1] = "0" .$regs[1];
    
    $date_show = $regs[1] . "/" . $regs[2] . "/" . $regs[3] . " " . $regs[4] . ":" . $regs[5] . ":" . $regs[6] ;
    
    if("0-1911// ::" == $date_show) $date_show = "無資料";
    
    return $date_show ;    
}

//日期格式化函式(長)
function format_date2($dateshow){

ereg("([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})", $dateshow, $regs) ;

    $regs[1] = $regs[1] -1911;
    if(strlen($regs[1])!=3) $regs[1] = "0" .$regs[1];
    
    $date_show = $regs[1] . "/" . $regs[2] . "/" . $regs[3];
    
    if("0-1911//" == $date_show) $date_show = "無資料";
    
    return $date_show ;    
}


//取得西元的日期
function get_eng_date($cdate)
{
	
	ereg("([0-9]{3})([0-9]{2})([0-9]{2})", $cdate, $regs) ;
	
	$output = $regs[1]+1911 . $regs[2] . $regs[3];
	
	return $output;
}

function upload_file_to_ftp($ftp_server,$ftp_user_name, $ftp_user_pass, $destination_file, $source_file)
{

	// set up basic connection
	$conn_id = ftp_connect($ftp_server); 

	// login with username and password
	$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); 

	// check connection
	if ((!$conn_id) || (!$login_result)) exit; 
	
	// upload the file	
	$upload = ftp_put($conn_id, $destination_file, $source_file, FTP_BINARY); 

	// check upload status
	if (!$upload) exit; 

	// close the FTP stream 
	ftp_close($conn_id); 
	
	return true;

}

//傳入(SELECT 的 NAME、VALUE+顯示之陣列)，印出下拉式選單
function buffer_select($name,$array)
{
	$buffer  = "<select name=$name>\n";	
		
	for($i=0;$i<sizeof($array);$i++)
	{
		$buffer .= "<option value=\"". $array[$i][0]."\">".$array[$i][0].'-'.$array[$i][1]."</option>\n";
	}
	$buffer .= "</select>\n";
	
	return $buffer;
}

//傳入(SELECT 的 NAME、VALUE+顯示之陣列)，印出下拉式選單
function buffer_select_default($name,$array,$default)
{
	$buffer  = "<select name=$name>\n";	
		
	for($i=0;$i<sizeof($array);$i++)
	{
		if($default==$array[$i][0])
		{
			$buffer .= "<option value=\"". $array[$i][0]."\" selected>".$array[$i][0].'-'.$array[$i][1]."</option>\n";
		}
		else
		{
			$buffer .= "<option value=\"". $array[$i][0]."\">".$array[$i][0].'-'.$array[$i][1]."</option>\n";
		}
	}
	$buffer .= "</select>\n";
	
	return $buffer;
}
?> 





